Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network168.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
Network address
168.0.0.0
Broadcast address
175.255.255.255
First usable
168.0.0.1
Last usable
175.255.255.254
Usable hosts
134,217,726 (134,217,728 less the network and broadcast addresses)
Subnet mask
248.0.0.0
Wildcard mask
7.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/5
Type
Public public
Old class
B (default /16)
As numbers
Hex A8000000 · Integer 2818572288 to 2952790015
Reverse DNS zones
168.in-addr.arpa
169.in-addr.arpa
170.in-addr.arpa
171.in-addr.arpa
172.in-addr.arpa
173.in-addr.arpa
174.in-addr.arpa
175.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101000.00000000.00000000.00000000168.0.0.0
Subnet mask11111000.00000000.00000000.00000000248.0.0.0
Network10101000.00000000.00000000.00000000168.0.0.0
Broadcast10101111.11111111.11111111.11111111175.255.255.255
Split into smaller subnets/15

168.0.0.0/5 makes 1,024 subnets of /15; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1168.0.0.0/15168.0.0.1 to 168.1.255.254168.1.255.255131,070
2168.2.0.0/15168.2.0.1 to 168.3.255.254168.3.255.255131,070
3168.4.0.0/15168.4.0.1 to 168.5.255.254168.5.255.255131,070
4168.6.0.0/15168.6.0.1 to 168.7.255.254168.7.255.255131,070
5168.8.0.0/15168.8.0.1 to 168.9.255.254168.9.255.255131,070
6168.10.0.0/15168.10.0.1 to 168.11.255.254168.11.255.255131,070
7168.12.0.0/15168.12.0.1 to 168.13.255.254168.13.255.255131,070
8168.14.0.0/15168.14.0.1 to 168.15.255.254168.15.255.255131,070
9168.16.0.0/15168.16.0.1 to 168.17.255.254168.17.255.255131,070
10168.18.0.0/15168.18.0.1 to 168.19.255.254168.19.255.255131,070
11168.20.0.0/15168.20.0.1 to 168.21.255.254168.21.255.255131,070
12168.22.0.0/15168.22.0.1 to 168.23.255.254168.23.255.255131,070
13168.24.0.0/15168.24.0.1 to 168.25.255.254168.25.255.255131,070
14168.26.0.0/15168.26.0.1 to 168.27.255.254168.27.255.255131,070
15168.28.0.0/15168.28.0.1 to 168.29.255.254168.29.255.255131,070
16168.30.0.0/15168.30.0.1 to 168.31.255.254168.31.255.255131,070
17168.32.0.0/15168.32.0.1 to 168.33.255.254168.33.255.255131,070
18168.34.0.0/15168.34.0.1 to 168.35.255.254168.35.255.255131,070
19168.36.0.0/15168.36.0.1 to 168.37.255.254168.37.255.255131,070
20168.38.0.0/15168.38.0.1 to 168.39.255.254168.39.255.255131,070
21168.40.0.0/15168.40.0.1 to 168.41.255.254168.41.255.255131,070
22168.42.0.0/15168.42.0.1 to 168.43.255.254168.43.255.255131,070
23168.44.0.0/15168.44.0.1 to 168.45.255.254168.45.255.255131,070
24168.46.0.0/15168.46.0.1 to 168.47.255.254168.47.255.255131,070
25168.48.0.0/15168.48.0.1 to 168.49.255.254168.49.255.255131,070
26168.50.0.0/15168.50.0.1 to 168.51.255.254168.51.255.255131,070
27168.52.0.0/15168.52.0.1 to 168.53.255.254168.53.255.255131,070
28168.54.0.0/15168.54.0.1 to 168.55.255.254168.55.255.255131,070
29168.56.0.0/15168.56.0.1 to 168.57.255.254168.57.255.255131,070
30168.58.0.0/15168.58.0.1 to 168.59.255.254168.59.255.255131,070
31168.60.0.0/15168.60.0.1 to 168.61.255.254168.61.255.255131,070
32168.62.0.0/15168.62.0.1 to 168.63.255.254168.63.255.255131,070
33168.64.0.0/15168.64.0.1 to 168.65.255.254168.65.255.255131,070
34168.66.0.0/15168.66.0.1 to 168.67.255.254168.67.255.255131,070
35168.68.0.0/15168.68.0.1 to 168.69.255.254168.69.255.255131,070
36168.70.0.0/15168.70.0.1 to 168.71.255.254168.71.255.255131,070
37168.72.0.0/15168.72.0.1 to 168.73.255.254168.73.255.255131,070
38168.74.0.0/15168.74.0.1 to 168.75.255.254168.75.255.255131,070
39168.76.0.0/15168.76.0.1 to 168.77.255.254168.77.255.255131,070
40168.78.0.0/15168.78.0.1 to 168.79.255.254168.79.255.255131,070
41168.80.0.0/15168.80.0.1 to 168.81.255.254168.81.255.255131,070
42168.82.0.0/15168.82.0.1 to 168.83.255.254168.83.255.255131,070
43168.84.0.0/15168.84.0.1 to 168.85.255.254168.85.255.255131,070
44168.86.0.0/15168.86.0.1 to 168.87.255.254168.87.255.255131,070
45168.88.0.0/15168.88.0.1 to 168.89.255.254168.89.255.255131,070
46168.90.0.0/15168.90.0.1 to 168.91.255.254168.91.255.255131,070
47168.92.0.0/15168.92.0.1 to 168.93.255.254168.93.255.255131,070
48168.94.0.0/15168.94.0.1 to 168.95.255.254168.95.255.255131,070
49168.96.0.0/15168.96.0.1 to 168.97.255.254168.97.255.255131,070
50168.98.0.0/15168.98.0.1 to 168.99.255.254168.99.255.255131,070
51168.100.0.0/15168.100.0.1 to 168.101.255.254168.101.255.255131,070
52168.102.0.0/15168.102.0.1 to 168.103.255.254168.103.255.255131,070
53168.104.0.0/15168.104.0.1 to 168.105.255.254168.105.255.255131,070
54168.106.0.0/15168.106.0.1 to 168.107.255.254168.107.255.255131,070
55168.108.0.0/15168.108.0.1 to 168.109.255.254168.109.255.255131,070
56168.110.0.0/15168.110.0.1 to 168.111.255.254168.111.255.255131,070
57168.112.0.0/15168.112.0.1 to 168.113.255.254168.113.255.255131,070
58168.114.0.0/15168.114.0.1 to 168.115.255.254168.115.255.255131,070
59168.116.0.0/15168.116.0.1 to 168.117.255.254168.117.255.255131,070
60168.118.0.0/15168.118.0.1 to 168.119.255.254168.119.255.255131,070
61168.120.0.0/15168.120.0.1 to 168.121.255.254168.121.255.255131,070
62168.122.0.0/15168.122.0.1 to 168.123.255.254168.123.255.255131,070
63168.124.0.0/15168.124.0.1 to 168.125.255.254168.125.255.255131,070
64168.126.0.0/15168.126.0.1 to 168.127.255.254168.127.255.255131,070
65168.128.0.0/15168.128.0.1 to 168.129.255.254168.129.255.255131,070
66168.130.0.0/15168.130.0.1 to 168.131.255.254168.131.255.255131,070
67168.132.0.0/15168.132.0.1 to 168.133.255.254168.133.255.255131,070
68168.134.0.0/15168.134.0.1 to 168.135.255.254168.135.255.255131,070
69168.136.0.0/15168.136.0.1 to 168.137.255.254168.137.255.255131,070
70168.138.0.0/15168.138.0.1 to 168.139.255.254168.139.255.255131,070
71168.140.0.0/15168.140.0.1 to 168.141.255.254168.141.255.255131,070
72168.142.0.0/15168.142.0.1 to 168.143.255.254168.143.255.255131,070
73168.144.0.0/15168.144.0.1 to 168.145.255.254168.145.255.255131,070
74168.146.0.0/15168.146.0.1 to 168.147.255.254168.147.255.255131,070
75168.148.0.0/15168.148.0.1 to 168.149.255.254168.149.255.255131,070
76168.150.0.0/15168.150.0.1 to 168.151.255.254168.151.255.255131,070
77168.152.0.0/15168.152.0.1 to 168.153.255.254168.153.255.255131,070
78168.154.0.0/15168.154.0.1 to 168.155.255.254168.155.255.255131,070
79168.156.0.0/15168.156.0.1 to 168.157.255.254168.157.255.255131,070
80168.158.0.0/15168.158.0.1 to 168.159.255.254168.159.255.255131,070
81168.160.0.0/15168.160.0.1 to 168.161.255.254168.161.255.255131,070
82168.162.0.0/15168.162.0.1 to 168.163.255.254168.163.255.255131,070
83168.164.0.0/15168.164.0.1 to 168.165.255.254168.165.255.255131,070
84168.166.0.0/15168.166.0.1 to 168.167.255.254168.167.255.255131,070
85168.168.0.0/15168.168.0.1 to 168.169.255.254168.169.255.255131,070
86168.170.0.0/15168.170.0.1 to 168.171.255.254168.171.255.255131,070
87168.172.0.0/15168.172.0.1 to 168.173.255.254168.173.255.255131,070
88168.174.0.0/15168.174.0.1 to 168.175.255.254168.175.255.255131,070
89168.176.0.0/15168.176.0.1 to 168.177.255.254168.177.255.255131,070
90168.178.0.0/15168.178.0.1 to 168.179.255.254168.179.255.255131,070
91168.180.0.0/15168.180.0.1 to 168.181.255.254168.181.255.255131,070
92168.182.0.0/15168.182.0.1 to 168.183.255.254168.183.255.255131,070
93168.184.0.0/15168.184.0.1 to 168.185.255.254168.185.255.255131,070
94168.186.0.0/15168.186.0.1 to 168.187.255.254168.187.255.255131,070
95168.188.0.0/15168.188.0.1 to 168.189.255.254168.189.255.255131,070
96168.190.0.0/15168.190.0.1 to 168.191.255.254168.191.255.255131,070
97168.192.0.0/15168.192.0.1 to 168.193.255.254168.193.255.255131,070
98168.194.0.0/15168.194.0.1 to 168.195.255.254168.195.255.255131,070
99168.196.0.0/15168.196.0.1 to 168.197.255.254168.197.255.255131,070
100168.198.0.0/15168.198.0.1 to 168.199.255.254168.199.255.255131,070
101168.200.0.0/15168.200.0.1 to 168.201.255.254168.201.255.255131,070
102168.202.0.0/15168.202.0.1 to 168.203.255.254168.203.255.255131,070
103168.204.0.0/15168.204.0.1 to 168.205.255.254168.205.255.255131,070
104168.206.0.0/15168.206.0.1 to 168.207.255.254168.207.255.255131,070
105168.208.0.0/15168.208.0.1 to 168.209.255.254168.209.255.255131,070
106168.210.0.0/15168.210.0.1 to 168.211.255.254168.211.255.255131,070
107168.212.0.0/15168.212.0.1 to 168.213.255.254168.213.255.255131,070
108168.214.0.0/15168.214.0.1 to 168.215.255.254168.215.255.255131,070
109168.216.0.0/15168.216.0.1 to 168.217.255.254168.217.255.255131,070
110168.218.0.0/15168.218.0.1 to 168.219.255.254168.219.255.255131,070
111168.220.0.0/15168.220.0.1 to 168.221.255.254168.221.255.255131,070
112168.222.0.0/15168.222.0.1 to 168.223.255.254168.223.255.255131,070
113168.224.0.0/15168.224.0.1 to 168.225.255.254168.225.255.255131,070
114168.226.0.0/15168.226.0.1 to 168.227.255.254168.227.255.255131,070
115168.228.0.0/15168.228.0.1 to 168.229.255.254168.229.255.255131,070
116168.230.0.0/15168.230.0.1 to 168.231.255.254168.231.255.255131,070
117168.232.0.0/15168.232.0.1 to 168.233.255.254168.233.255.255131,070
118168.234.0.0/15168.234.0.1 to 168.235.255.254168.235.255.255131,070
119168.236.0.0/15168.236.0.1 to 168.237.255.254168.237.255.255131,070
120168.238.0.0/15168.238.0.1 to 168.239.255.254168.239.255.255131,070
121168.240.0.0/15168.240.0.1 to 168.241.255.254168.241.255.255131,070
122168.242.0.0/15168.242.0.1 to 168.243.255.254168.243.255.255131,070
123168.244.0.0/15168.244.0.1 to 168.245.255.254168.245.255.255131,070
124168.246.0.0/15168.246.0.1 to 168.247.255.254168.247.255.255131,070
125168.248.0.0/15168.248.0.1 to 168.249.255.254168.249.255.255131,070
126168.250.0.0/15168.250.0.1 to 168.251.255.254168.251.255.255131,070
127168.252.0.0/15168.252.0.1 to 168.253.255.254168.253.255.255131,070
128168.254.0.0/15168.254.0.1 to 168.255.255.254168.255.255.255131,070
129169.0.0.0/15169.0.0.1 to 169.1.255.254169.1.255.255131,070
130169.2.0.0/15169.2.0.1 to 169.3.255.254169.3.255.255131,070
131169.4.0.0/15169.4.0.1 to 169.5.255.254169.5.255.255131,070
132169.6.0.0/15169.6.0.1 to 169.7.255.254169.7.255.255131,070
133169.8.0.0/15169.8.0.1 to 169.9.255.254169.9.255.255131,070
134169.10.0.0/15169.10.0.1 to 169.11.255.254169.11.255.255131,070
135169.12.0.0/15169.12.0.1 to 169.13.255.254169.13.255.255131,070
136169.14.0.0/15169.14.0.1 to 169.15.255.254169.15.255.255131,070
137169.16.0.0/15169.16.0.1 to 169.17.255.254169.17.255.255131,070
138169.18.0.0/15169.18.0.1 to 169.19.255.254169.19.255.255131,070
139169.20.0.0/15169.20.0.1 to 169.21.255.254169.21.255.255131,070
140169.22.0.0/15169.22.0.1 to 169.23.255.254169.23.255.255131,070
141169.24.0.0/15169.24.0.1 to 169.25.255.254169.25.255.255131,070
142169.26.0.0/15169.26.0.1 to 169.27.255.254169.27.255.255131,070
143169.28.0.0/15169.28.0.1 to 169.29.255.254169.29.255.255131,070
144169.30.0.0/15169.30.0.1 to 169.31.255.254169.31.255.255131,070
145169.32.0.0/15169.32.0.1 to 169.33.255.254169.33.255.255131,070
146169.34.0.0/15169.34.0.1 to 169.35.255.254169.35.255.255131,070
147169.36.0.0/15169.36.0.1 to 169.37.255.254169.37.255.255131,070
148169.38.0.0/15169.38.0.1 to 169.39.255.254169.39.255.255131,070
149169.40.0.0/15169.40.0.1 to 169.41.255.254169.41.255.255131,070
150169.42.0.0/15169.42.0.1 to 169.43.255.254169.43.255.255131,070
151169.44.0.0/15169.44.0.1 to 169.45.255.254169.45.255.255131,070
152169.46.0.0/15169.46.0.1 to 169.47.255.254169.47.255.255131,070
153169.48.0.0/15169.48.0.1 to 169.49.255.254169.49.255.255131,070
154169.50.0.0/15169.50.0.1 to 169.51.255.254169.51.255.255131,070
155169.52.0.0/15169.52.0.1 to 169.53.255.254169.53.255.255131,070
156169.54.0.0/15169.54.0.1 to 169.55.255.254169.55.255.255131,070
157169.56.0.0/15169.56.0.1 to 169.57.255.254169.57.255.255131,070
158169.58.0.0/15169.58.0.1 to 169.59.255.254169.59.255.255131,070
159169.60.0.0/15169.60.0.1 to 169.61.255.254169.61.255.255131,070
160169.62.0.0/15169.62.0.1 to 169.63.255.254169.63.255.255131,070
161169.64.0.0/15169.64.0.1 to 169.65.255.254169.65.255.255131,070
162169.66.0.0/15169.66.0.1 to 169.67.255.254169.67.255.255131,070
163169.68.0.0/15169.68.0.1 to 169.69.255.254169.69.255.255131,070
164169.70.0.0/15169.70.0.1 to 169.71.255.254169.71.255.255131,070
165169.72.0.0/15169.72.0.1 to 169.73.255.254169.73.255.255131,070
166169.74.0.0/15169.74.0.1 to 169.75.255.254169.75.255.255131,070
167169.76.0.0/15169.76.0.1 to 169.77.255.254169.77.255.255131,070
168169.78.0.0/15169.78.0.1 to 169.79.255.254169.79.255.255131,070
169169.80.0.0/15169.80.0.1 to 169.81.255.254169.81.255.255131,070
170169.82.0.0/15169.82.0.1 to 169.83.255.254169.83.255.255131,070
171169.84.0.0/15169.84.0.1 to 169.85.255.254169.85.255.255131,070
172169.86.0.0/15169.86.0.1 to 169.87.255.254169.87.255.255131,070
173169.88.0.0/15169.88.0.1 to 169.89.255.254169.89.255.255131,070
174169.90.0.0/15169.90.0.1 to 169.91.255.254169.91.255.255131,070
175169.92.0.0/15169.92.0.1 to 169.93.255.254169.93.255.255131,070
176169.94.0.0/15169.94.0.1 to 169.95.255.254169.95.255.255131,070
177169.96.0.0/15169.96.0.1 to 169.97.255.254169.97.255.255131,070
178169.98.0.0/15169.98.0.1 to 169.99.255.254169.99.255.255131,070
179169.100.0.0/15169.100.0.1 to 169.101.255.254169.101.255.255131,070
180169.102.0.0/15169.102.0.1 to 169.103.255.254169.103.255.255131,070
181169.104.0.0/15169.104.0.1 to 169.105.255.254169.105.255.255131,070
182169.106.0.0/15169.106.0.1 to 169.107.255.254169.107.255.255131,070
183169.108.0.0/15169.108.0.1 to 169.109.255.254169.109.255.255131,070
184169.110.0.0/15169.110.0.1 to 169.111.255.254169.111.255.255131,070
185169.112.0.0/15169.112.0.1 to 169.113.255.254169.113.255.255131,070
186169.114.0.0/15169.114.0.1 to 169.115.255.254169.115.255.255131,070
187169.116.0.0/15169.116.0.1 to 169.117.255.254169.117.255.255131,070
188169.118.0.0/15169.118.0.1 to 169.119.255.254169.119.255.255131,070
189169.120.0.0/15169.120.0.1 to 169.121.255.254169.121.255.255131,070
190169.122.0.0/15169.122.0.1 to 169.123.255.254169.123.255.255131,070
191169.124.0.0/15169.124.0.1 to 169.125.255.254169.125.255.255131,070
192169.126.0.0/15169.126.0.1 to 169.127.255.254169.127.255.255131,070
193169.128.0.0/15169.128.0.1 to 169.129.255.254169.129.255.255131,070
194169.130.0.0/15169.130.0.1 to 169.131.255.254169.131.255.255131,070
195169.132.0.0/15169.132.0.1 to 169.133.255.254169.133.255.255131,070
196169.134.0.0/15169.134.0.1 to 169.135.255.254169.135.255.255131,070
197169.136.0.0/15169.136.0.1 to 169.137.255.254169.137.255.255131,070
198169.138.0.0/15169.138.0.1 to 169.139.255.254169.139.255.255131,070
199169.140.0.0/15169.140.0.1 to 169.141.255.254169.141.255.255131,070
200169.142.0.0/15169.142.0.1 to 169.143.255.254169.143.255.255131,070
201169.144.0.0/15169.144.0.1 to 169.145.255.254169.145.255.255131,070
202169.146.0.0/15169.146.0.1 to 169.147.255.254169.147.255.255131,070
203169.148.0.0/15169.148.0.1 to 169.149.255.254169.149.255.255131,070
204169.150.0.0/15169.150.0.1 to 169.151.255.254169.151.255.255131,070
205169.152.0.0/15169.152.0.1 to 169.153.255.254169.153.255.255131,070
206169.154.0.0/15169.154.0.1 to 169.155.255.254169.155.255.255131,070
207169.156.0.0/15169.156.0.1 to 169.157.255.254169.157.255.255131,070
208169.158.0.0/15169.158.0.1 to 169.159.255.254169.159.255.255131,070
209169.160.0.0/15169.160.0.1 to 169.161.255.254169.161.255.255131,070
210169.162.0.0/15169.162.0.1 to 169.163.255.254169.163.255.255131,070
211169.164.0.0/15169.164.0.1 to 169.165.255.254169.165.255.255131,070
212169.166.0.0/15169.166.0.1 to 169.167.255.254169.167.255.255131,070
213169.168.0.0/15169.168.0.1 to 169.169.255.254169.169.255.255131,070
214169.170.0.0/15169.170.0.1 to 169.171.255.254169.171.255.255131,070
215169.172.0.0/15169.172.0.1 to 169.173.255.254169.173.255.255131,070
216169.174.0.0/15169.174.0.1 to 169.175.255.254169.175.255.255131,070
217169.176.0.0/15169.176.0.1 to 169.177.255.254169.177.255.255131,070
218169.178.0.0/15169.178.0.1 to 169.179.255.254169.179.255.255131,070
219169.180.0.0/15169.180.0.1 to 169.181.255.254169.181.255.255131,070
220169.182.0.0/15169.182.0.1 to 169.183.255.254169.183.255.255131,070
221169.184.0.0/15169.184.0.1 to 169.185.255.254169.185.255.255131,070
222169.186.0.0/15169.186.0.1 to 169.187.255.254169.187.255.255131,070
223169.188.0.0/15169.188.0.1 to 169.189.255.254169.189.255.255131,070
224169.190.0.0/15169.190.0.1 to 169.191.255.254169.191.255.255131,070
225169.192.0.0/15169.192.0.1 to 169.193.255.254169.193.255.255131,070
226169.194.0.0/15169.194.0.1 to 169.195.255.254169.195.255.255131,070
227169.196.0.0/15169.196.0.1 to 169.197.255.254169.197.255.255131,070
228169.198.0.0/15169.198.0.1 to 169.199.255.254169.199.255.255131,070
229169.200.0.0/15169.200.0.1 to 169.201.255.254169.201.255.255131,070
230169.202.0.0/15169.202.0.1 to 169.203.255.254169.203.255.255131,070
231169.204.0.0/15169.204.0.1 to 169.205.255.254169.205.255.255131,070
232169.206.0.0/15169.206.0.1 to 169.207.255.254169.207.255.255131,070
233169.208.0.0/15169.208.0.1 to 169.209.255.254169.209.255.255131,070
234169.210.0.0/15169.210.0.1 to 169.211.255.254169.211.255.255131,070
235169.212.0.0/15169.212.0.1 to 169.213.255.254169.213.255.255131,070
236169.214.0.0/15169.214.0.1 to 169.215.255.254169.215.255.255131,070
237169.216.0.0/15169.216.0.1 to 169.217.255.254169.217.255.255131,070
238169.218.0.0/15169.218.0.1 to 169.219.255.254169.219.255.255131,070
239169.220.0.0/15169.220.0.1 to 169.221.255.254169.221.255.255131,070
240169.222.0.0/15169.222.0.1 to 169.223.255.254169.223.255.255131,070
241169.224.0.0/15169.224.0.1 to 169.225.255.254169.225.255.255131,070
242169.226.0.0/15169.226.0.1 to 169.227.255.254169.227.255.255131,070
243169.228.0.0/15169.228.0.1 to 169.229.255.254169.229.255.255131,070
244169.230.0.0/15169.230.0.1 to 169.231.255.254169.231.255.255131,070
245169.232.0.0/15169.232.0.1 to 169.233.255.254169.233.255.255131,070
246169.234.0.0/15169.234.0.1 to 169.235.255.254169.235.255.255131,070
247169.236.0.0/15169.236.0.1 to 169.237.255.254169.237.255.255131,070
248169.238.0.0/15169.238.0.1 to 169.239.255.254169.239.255.255131,070
249169.240.0.0/15169.240.0.1 to 169.241.255.254169.241.255.255131,070
250169.242.0.0/15169.242.0.1 to 169.243.255.254169.243.255.255131,070
251169.244.0.0/15169.244.0.1 to 169.245.255.254169.245.255.255131,070
252169.246.0.0/15169.246.0.1 to 169.247.255.254169.247.255.255131,070
253169.248.0.0/15169.248.0.1 to 169.249.255.254169.249.255.255131,070
254169.250.0.0/15169.250.0.1 to 169.251.255.254169.251.255.255131,070
255169.252.0.0/15169.252.0.1 to 169.253.255.254169.253.255.255131,070
256169.254.0.0/15169.254.0.1 to 169.255.255.254169.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses